package com.hotwj.platform.video.service;

import com.hotwj.platform.video.domain.bo.VideoChunkUploadBo;
import com.hotwj.platform.video.domain.bo.VideoMergeBo;
import com.hotwj.platform.video.domain.vo.VideoTranscodeTaskInfo;

import java.util.List;
import java.util.Map;

public interface VideoChunkUploadService {

    List<Integer> checkUploadedChunks(String fileHash);

    void uploadChunk(VideoChunkUploadBo bo);

    Map<String, String> mergeAndCreateTask(VideoMergeBo bo);

    VideoTranscodeTaskInfo getTaskInfo(String taskId);
}
